Skip to main content

Delete Alert

Deletes an alert trigger from the load balancer's underlying node. The node_id path parameter is the load balancer's node_detail.node_id; the specific trigger is identified by the id (and zabbix_id) query parameters from the List Alert Triggers response.

DELETE/api/v1/nodes/{node_id}/monitoring/triggers/

Path parameters

  • node_idPathintegerrequired

    The node_id field from the node_detail object in the List Load Balancers response.

    • required
    • must be a valid node ID
    example23456

Query parameters

  • idQuerystringoptional

    ID of the trigger to delete (the id field from List Alert Triggers).

    • required
    • must be a valid trigger ID
    example730006
  • typeQuerystringoptional

    Type of record being deleted. Use trigger.

    • one of: trigger
    exampletrigger
  • zabbix_idQuerystringoptional

    The trigger's trigger_id (Zabbix trigger identifier) from List Alert Triggers.

    • must be a valid Zabbix trigger ID
    example6965300
  • service_idsQuerystringoptional

    The node ID the trigger is attached to (the load balancer's node_detail.node_id).

    example{{node_id}}
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsstring
example
messagestring
exampleTrigger was deleted successfully